Index: contrib/ntp/ntpd/ntp_parser.c
===================================================================
--- contrib/ntp/ntpd/ntp_parser.c	(版本 314126)
+++ contrib/ntp/ntpd/ntp_parser.c	(版本 316722)
@@ -62,7 +62,7 @@
 
 
 /* Copy the first part of user declarations.  */
-#line 11 "../../ntpd/ntp_parser.y" /* yacc.c:339  */
+#line 11 "ntp_parser.y" /* yacc.c:339  */
 
   #ifdef HAVE_CONFIG_H
   # include <config.h>
@@ -532,7 +532,7 @@
 
 union YYSTYPE
 {
-#line 51 "../../ntpd/ntp_parser.y" /* yacc.c:355  */
+#line 51 "ntp_parser.y" /* yacc.c:355  */
 
 	char *			String;
 	double			Double;
@@ -894,7 +894,7 @@
      536,   538,   549,   556,   558,   563,   565,   567,   569,   571,
      580,   586,   587,   595,   597,   609,   610,   611,   612,   613,
      622,   627,   632,   640,   642,   644,   649,   650,   651,   652,
-     653,   654,   655,   659,   660,   661,   662,   671,   673,   682,
+     653,   654,   655,   656,   657,   661,   662,   671,   673,   682,
      692,   697,   705,   706,   707,   708,   709,   710,   711,   712,
      717,   718,   726,   736,   745,   760,   765,   766,   770,   771,
      775,   776,   777,   778,   779,   780,   781,   790,   794,   798,
@@ -1111,8 +1111,8 @@
      135,    29,    30,   135,   135,    26,    68,   189,   187,   188,
      183,   185,     0,     0,   233,    97,   101,    98,   212,   213,
      214,   215,   216,   217,   218,   219,   220,   221,   208,   210,
-       0,    86,    92,    87,     0,    88,    96,    94,    95,    93,
-      91,    89,    90,    80,    82,     0,     0,   252,   284,     0,
+       0,    86,    87,    88,     0,    89,    90,    96,    91,    95,
+      92,    93,    94,    80,    82,     0,     0,   252,   284,     0,
       69,   283,   285,   281,   235,     1,     0,     4,    31,    55,
      295,   294,   224,   225,   226,   227,   269,   268,   267,     0,
        0,    79,    75,    76,    77,    78,     0,    72,     0,   192,
@@ -1373,7 +1373,7 @@
      223,   223,   224,   224,   224,   224,   224,   224,   224,   224,
      224,   225,   225,   226,   226,   227,   227,   227,   227,   227,
      228,   229,   229,   230,   230,   230,   231,   231,   231,   231,
-     231,   231,   231,   232,   232,   232,   232,   233,   233,   233,
+     231,   231,   231,   231,   231,   232,   232,   233,   233,   233,
      234,   234,   235,   235,   235,   235,   235,   235,   235,   235,
      236,   236,   237,   237,   237,   237,   238,   238,   239,   239,
      240,   240,   240,   240,   240,   240,   240,   241,   241,   241,
@@ -2109,7 +2109,7 @@
   switch (yyn)
     {
         case 5:
-#line 378 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 378 "ntp_parser.y" /* yacc.c:1646  */
     {
 			/* I will need to incorporate much more fine grained
 			 * error messages. The following should suffice for
@@ -2126,7 +2126,7 @@
     break;
 
   case 20:
-#line 414 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 414 "ntp_parser.y" /* yacc.c:1646  */
     {
 			peer_node *my_node;
 
@@ -2137,37 +2137,37 @@
     break;
 
   case 27:
-#line 433 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 433 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Address_node) = create_address_node((yyvsp[0].String), (yyvsp[-1].Integer)); }
 #line 2143 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 28:
-#line 438 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 438 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Address_node) = create_address_node((yyvsp[0].String), AF_UNSPEC); }
 #line 2149 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 29:
-#line 443 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 443 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Integer) = AF_INET; }
 #line 2155 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 30:
-#line 445 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 445 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Integer) = AF_INET6; }
 #line 2161 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 31:
-#line 450 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 450 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val_fifo) = NULL; }
 #line 2167 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 32:
-#line 452 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 452 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2176,31 +2176,31 @@
     break;
 
   case 36:
-#line 466 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 466 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival(T_Flag, (yyvsp[0].Integer)); }
 #line 2182 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 45:
-#line 482 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 482 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
 #line 2188 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 46:
-#line 484 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 484 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_uval((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
 #line 2194 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 53:
-#line 498 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 498 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String)); }
 #line 2200 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 55:
-#line 512 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 512 "ntp_parser.y" /* yacc.c:1646  */
     {
 			unpeer_node *my_node;
 
@@ -2212,31 +2212,31 @@
     break;
 
   case 58:
-#line 533 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 533 "ntp_parser.y" /* yacc.c:1646  */
     { cfgt.broadcastclient = 1; }
 #line 2218 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 59:
-#line 535 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 535 "ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.manycastserver, (yyvsp[0].Address_fifo)); }
 #line 2224 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 60:
-#line 537 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 537 "ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.multicastclient, (yyvsp[0].Address_fifo)); }
 #line 2230 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 61:
-#line 539 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 539 "ntp_parser.y" /* yacc.c:1646  */
     { cfgt.mdnstries = (yyvsp[0].Integer); }
 #line 2236 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 62:
-#line 550 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 550 "ntp_parser.y" /* yacc.c:1646  */
     {
 			attr_val *atrv;
 
@@ -2247,13 +2247,13 @@
     break;
 
   case 63:
-#line 557 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 557 "ntp_parser.y" /* yacc.c:1646  */
     { cfgt.auth.control_key = (yyvsp[0].Integer); }
 #line 2253 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 64:
-#line 559 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 559 "ntp_parser.y" /* yacc.c:1646  */
     {
 			cfgt.auth.cryptosw++;
 			CONCAT_G_FIFOS(cfgt.auth.crypto_cmd_list, (yyvsp[0].Attr_val_fifo));
@@ -2262,31 +2262,31 @@
     break;
 
   case 65:
-#line 564 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 564 "ntp_parser.y" /* yacc.c:1646  */
     { cfgt.auth.keys = (yyvsp[0].String); }
 #line 2268 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 66:
-#line 566 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 566 "ntp_parser.y" /* yacc.c:1646  */
     { cfgt.auth.keysdir = (yyvsp[0].String); }
 #line 2274 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 67:
-#line 568 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 568 "ntp_parser.y" /* yacc.c:1646  */
     { cfgt.auth.request_key = (yyvsp[0].Integer); }
 #line 2280 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 68:
-#line 570 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 570 "ntp_parser.y" /* yacc.c:1646  */
     { cfgt.auth.revoke = (yyvsp[0].Integer); }
 #line 2286 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 69:
-#line 572 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 572 "ntp_parser.y" /* yacc.c:1646  */
     {
 			cfgt.auth.trusted_key_list = (yyvsp[0].Attr_val_fifo);
 
@@ -2299,19 +2299,19 @@
     break;
 
   case 70:
-#line 581 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 581 "ntp_parser.y" /* yacc.c:1646  */
     { cfgt.auth.ntp_signd_socket = (yyvsp[0].String); }
 #line 2305 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 71:
-#line 586 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 586 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val_fifo) = NULL; }
 #line 2311 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 72:
-#line 588 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 588 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2320,13 +2320,13 @@
     break;
 
   case 73:
-#line 596 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 596 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String)); }
 #line 2326 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 74:
-#line 598 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 598 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val) = NULL;
 			cfgt.auth.revoke = (yyvsp[0].Integer);
@@ -2339,13 +2339,13 @@
     break;
 
   case 80:
-#line 623 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 623 "ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.orphan_cmds, (yyvsp[0].Attr_val_fifo)); }
 #line 2345 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 81:
-#line 628 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 628 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2354,7 +2354,7 @@
     break;
 
   case 82:
-#line 633 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 633 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2363,31 +2363,31 @@
     break;
 
   case 83:
-#line 641 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 641 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_dval((yyvsp[-1].Integer), (double)(yyvsp[0].Integer)); }
 #line 2369 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 84:
-#line 643 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 643 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_dval((yyvsp[-1].Integer), (yyvsp[0].Double)); }
 #line 2375 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 85:
-#line 645 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 645 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_dval((yyvsp[-1].Integer), (double)(yyvsp[0].Integer)); }
 #line 2381 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 97:
-#line 672 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 672 "ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.stats_list, (yyvsp[0].Int_fifo)); }
 #line 2387 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 98:
-#line 674 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 674 "ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				cfgt.stats_dir = (yyvsp[0].String);
@@ -2400,7 +2400,7 @@
     break;
 
   case 99:
-#line 683 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 683 "ntp_parser.y" /* yacc.c:1646  */
     {
 			filegen_node *fgn;
 
@@ -2411,7 +2411,7 @@
     break;
 
   case 100:
-#line 693 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 693 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Int_fifo) = (yyvsp[-1].Int_fifo);
 			APPEND_G_FIFO((yyval.Int_fifo), create_int_node((yyvsp[0].Integer)));
@@ -2420,7 +2420,7 @@
     break;
 
   case 101:
-#line 698 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 698 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Int_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Int_fifo), create_int_node((yyvsp[0].Integer)));
@@ -2429,13 +2429,13 @@
     break;
 
   case 110:
-#line 717 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 717 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val_fifo) = NULL; }
 #line 2435 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 111:
-#line 719 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 719 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2444,7 +2444,7 @@
     break;
 
   case 112:
-#line 727 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 727 "ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				(yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String));
@@ -2458,7 +2458,7 @@
     break;
 
   case 113:
-#line 737 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 737 "ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				(yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer));
@@ -2471,7 +2471,7 @@
     break;
 
   case 114:
-#line 746 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 746 "ntp_parser.y" /* yacc.c:1646  */
     {
 			const char *err;
 
@@ -2490,13 +2490,13 @@
     break;
 
   case 115:
-#line 761 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 761 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival(T_Flag, (yyvsp[0].Integer)); }
 #line 2496 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 127:
-#line 791 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 791 "ntp_parser.y" /* yacc.c:1646  */
     {
 			CONCAT_G_FIFOS(cfgt.discard_opts, (yyvsp[0].Attr_val_fifo));
 		}
@@ -2504,7 +2504,7 @@
     break;
 
   case 128:
-#line 795 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 795 "ntp_parser.y" /* yacc.c:1646  */
     {
 			CONCAT_G_FIFOS(cfgt.mru_opts, (yyvsp[0].Attr_val_fifo));
 		}
@@ -2512,7 +2512,7 @@
     break;
 
   case 129:
-#line 799 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 799 "ntp_parser.y" /* yacc.c:1646  */
     {
 			restrict_node *rn;
 
@@ -2524,7 +2524,7 @@
     break;
 
   case 130:
-#line 807 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 807 "ntp_parser.y" /* yacc.c:1646  */
     {
 			restrict_node *rn;
 
@@ -2536,7 +2536,7 @@
     break;
 
   case 131:
-#line 815 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 815 "ntp_parser.y" /* yacc.c:1646  */
     {
 			restrict_node *rn;
 
@@ -2548,7 +2548,7 @@
     break;
 
   case 132:
-#line 823 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 823 "ntp_parser.y" /* yacc.c:1646  */
     {
 			restrict_node *rn;
 
@@ -2567,7 +2567,7 @@
     break;
 
   case 133:
-#line 838 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 838 "ntp_parser.y" /* yacc.c:1646  */
     {
 			restrict_node *rn;
 
@@ -2586,7 +2586,7 @@
     break;
 
   case 134:
-#line 853 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 853 "ntp_parser.y" /* yacc.c:1646  */
     {
 			restrict_node *	rn;
 
@@ -2599,13 +2599,13 @@
     break;
 
   case 135:
-#line 865 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 865 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Int_fifo) = NULL; }
 #line 2605 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 136:
-#line 867 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 867 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Int_fifo) = (yyvsp[-1].Int_fifo);
 			APPEND_G_FIFO((yyval.Int_fifo), create_int_node((yyvsp[0].Integer)));
@@ -2614,7 +2614,7 @@
     break;
 
   case 152:
-#line 893 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 893 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2623,7 +2623,7 @@
     break;
 
   case 153:
-#line 898 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 898 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2632,13 +2632,13 @@
     break;
 
   case 154:
-#line 906 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 906 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
 #line 2638 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 158:
-#line 917 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 917 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2647,7 +2647,7 @@
     break;
 
   case 159:
-#line 922 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 922 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2656,13 +2656,13 @@
     break;
 
   case 160:
-#line 930 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 930 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
 #line 2662 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 169:
-#line 950 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 950 "ntp_parser.y" /* yacc.c:1646  */
     {
 			addr_opts_node *aon;
 
@@ -2673,7 +2673,7 @@
     break;
 
   case 170:
-#line 960 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 960 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2682,7 +2682,7 @@
     break;
 
   case 171:
-#line 965 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 965 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2691,19 +2691,19 @@
     break;
 
   case 172:
-#line 973 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 973 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_dval((yyvsp[-1].Integer), (yyvsp[0].Double)); }
 #line 2697 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 173:
-#line 975 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 975 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
 #line 2703 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 174:
-#line 977 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 977 "ntp_parser.y" /* yacc.c:1646  */
     {
 			if ((yyvsp[0].Integer) >= 0 && (yyvsp[0].Integer) <= 16) {
 				(yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer));
@@ -2716,25 +2716,25 @@
     break;
 
   case 175:
-#line 986 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 986 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String)); }
 #line 2722 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 176:
-#line 988 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 988 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String)); }
 #line 2728 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 183:
-#line 1009 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1009 "ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.rlimit, (yyvsp[0].Attr_val_fifo)); }
 #line 2734 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 184:
-#line 1014 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1014 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2743,7 +2743,7 @@
     break;
 
   case 185:
-#line 1019 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1019 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2752,25 +2752,25 @@
     break;
 
   case 186:
-#line 1027 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1027 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
 #line 2758 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 190:
-#line 1043 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1043 "ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.enable_opts, (yyvsp[0].Attr_val_fifo)); }
 #line 2764 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 191:
-#line 1045 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1045 "ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.disable_opts, (yyvsp[0].Attr_val_fifo)); }
 #line 2770 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 192:
-#line 1050 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1050 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2779,7 +2779,7 @@
     break;
 
   case 193:
-#line 1055 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1055 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2788,13 +2788,13 @@
     break;
 
   case 194:
-#line 1063 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1063 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival(T_Flag, (yyvsp[0].Integer)); }
 #line 2794 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 195:
-#line 1065 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1065 "ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				(yyval.Attr_val) = create_attr_ival(T_Flag, (yyvsp[0].Integer));
@@ -2812,13 +2812,13 @@
     break;
 
   case 208:
-#line 1104 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1104 "ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.tinker, (yyvsp[0].Attr_val_fifo)); }
 #line 2818 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 209:
-#line 1109 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1109 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2827,7 +2827,7 @@
     break;
 
   case 210:
-#line 1114 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1114 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -2836,13 +2836,13 @@
     break;
 
   case 211:
-#line 1122 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1122 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_dval((yyvsp[-1].Integer), (yyvsp[0].Double)); }
 #line 2842 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 224:
-#line 1147 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1147 "ntp_parser.y" /* yacc.c:1646  */
     {
 			attr_val *av;
 
@@ -2853,7 +2853,7 @@
     break;
 
   case 225:
-#line 1154 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1154 "ntp_parser.y" /* yacc.c:1646  */
     {
 			attr_val *av;
 
@@ -2864,7 +2864,7 @@
     break;
 
   case 226:
-#line 1161 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1161 "ntp_parser.y" /* yacc.c:1646  */
     {
 			attr_val *av;
 
@@ -2875,7 +2875,7 @@
     break;
 
   case 227:
-#line 1168 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1168 "ntp_parser.y" /* yacc.c:1646  */
     {
 			char error_text[64];
 			attr_val *av;
@@ -2895,7 +2895,7 @@
     break;
 
   case 228:
-#line 1184 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1184 "ntp_parser.y" /* yacc.c:1646  */
     {
 			if (!lex_from_file()) {
 				YYFREE((yyvsp[-1].String)); /* avoid leak */
@@ -2918,37 +2918,37 @@
     break;
 
   case 229:
-#line 1203 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1203 "ntp_parser.y" /* yacc.c:1646  */
     { lex_flush_stack(); }
 #line 2924 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 230:
-#line 1205 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1205 "ntp_parser.y" /* yacc.c:1646  */
     { /* see drift_parm below for actions */ }
 #line 2930 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 231:
-#line 1207 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1207 "ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.logconfig, (yyvsp[0].Attr_val_fifo)); }
 #line 2936 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 232:
-#line 1209 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1209 "ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.phone, (yyvsp[0].String_fifo)); }
 #line 2942 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 233:
-#line 1211 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1211 "ntp_parser.y" /* yacc.c:1646  */
     { APPEND_G_FIFO(cfgt.setvar, (yyvsp[0].Set_var)); }
 #line 2948 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 234:
-#line 1213 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1213 "ntp_parser.y" /* yacc.c:1646  */
     {
 			addr_opts_node *aon;
 
@@ -2959,13 +2959,13 @@
     break;
 
   case 235:
-#line 1220 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1220 "ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.ttl, (yyvsp[0].Attr_val_fifo)); }
 #line 2965 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 240:
-#line 1235 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1235 "ntp_parser.y" /* yacc.c:1646  */
     {
 #ifndef LEAP_SMEAR
 			yyerror("Built without LEAP_SMEAR support.");
@@ -2975,7 +2975,7 @@
     break;
 
   case 246:
-#line 1255 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1255 "ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				attr_val *av;
@@ -2990,7 +2990,7 @@
     break;
 
   case 247:
-#line 1266 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1266 "ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				attr_val *av;
@@ -3007,7 +3007,7 @@
     break;
 
   case 248:
-#line 1279 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1279 "ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				attr_val *av;
@@ -3021,25 +3021,25 @@
     break;
 
   case 249:
-#line 1292 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1292 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Set_var) = create_setvar_node((yyvsp[-3].String), (yyvsp[-1].String), (yyvsp[0].Integer)); }
 #line 3027 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 251:
-#line 1298 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1298 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Integer) = 0; }
 #line 3033 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 252:
-#line 1303 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1303 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val_fifo) = NULL; }
 #line 3039 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 253:
-#line 1305 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1305 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -3048,13 +3048,13 @@
     break;
 
   case 254:
-#line 1313 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1313 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
 #line 3054 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 255:
-#line 1315 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1315 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), estrdup((yyvsp[0].Address_node)->address));
 			destroy_address_node((yyvsp[0].Address_node));
@@ -3063,7 +3063,7 @@
     break;
 
   case 256:
-#line 1323 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1323 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -3072,7 +3072,7 @@
     break;
 
   case 257:
-#line 1328 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1328 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -3081,7 +3081,7 @@
     break;
 
   case 258:
-#line 1336 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1336 "ntp_parser.y" /* yacc.c:1646  */
     {
 			char	prefix;
 			char *	type;
@@ -3107,7 +3107,7 @@
     break;
 
   case 259:
-#line 1361 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1361 "ntp_parser.y" /* yacc.c:1646  */
     {
 			nic_rule_node *nrn;
 
@@ -3118,7 +3118,7 @@
     break;
 
   case 260:
-#line 1368 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1368 "ntp_parser.y" /* yacc.c:1646  */
     {
 			nic_rule_node *nrn;
 
@@ -3129,13 +3129,13 @@
     break;
 
   case 270:
-#line 1396 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1396 "ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.reset_counters, (yyvsp[0].Int_fifo)); }
 #line 3135 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 271:
-#line 1401 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1401 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Int_fifo) = (yyvsp[-1].Int_fifo);
 			APPEND_G_FIFO((yyval.Int_fifo), create_int_node((yyvsp[0].Integer)));
@@ -3144,7 +3144,7 @@
     break;
 
   case 272:
-#line 1406 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1406 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Int_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Int_fifo), create_int_node((yyvsp[0].Integer)));
@@ -3153,7 +3153,7 @@
     break;
 
   case 280:
-#line 1430 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1430 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), create_int_node((yyvsp[0].Integer)));
@@ -3162,7 +3162,7 @@
     break;
 
   case 281:
-#line 1435 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1435 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), create_int_node((yyvsp[0].Integer)));
@@ -3171,7 +3171,7 @@
     break;
 
   case 282:
-#line 1443 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1443 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -3180,7 +3180,7 @@
     break;
 
   case 283:
-#line 1448 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1448 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
@@ -3189,19 +3189,19 @@
     break;
 
   case 284:
-#line 1456 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1456 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival('i', (yyvsp[0].Integer)); }
 #line 3195 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 286:
-#line 1462 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1462 "ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_rangeval('-', (yyvsp[-3].Integer), (yyvsp[-1].Integer)); }
 #line 3201 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 287:
-#line 1467 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+#line 1467 "ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.String_fifo) = (yyvsp[-1].String_fifo);
 			APPEND_G_FIFO((yyval.String_fifo), create_string_node((yyvsp[0].String)));
